<script lang="ts" setup>
import type { Page, Picture } from '~/entities';

const route = useRoute();
const pageNumber = computed(() => Number(route.query.pageNumber || 0));

const {data} = useApi<Page<Picture>>('/api/picture/user/'+route.params.id,{
  query: {pageNumber, pageSize: 4}
});

</script>

<template>
  <div v-if="data">
    <h1>User profile</h1>
    <NuxtLink :to="{query:{pageNumber:pageNumber-1}}" v-if="!data?.first">Previous</NuxtLink>
    <NuxtLink :class="{'text-black':pageNumber == item-1}" :to="{query:{pageNumber:item-1}}" v-for="item of data?.totalPages">{{ item }}</NuxtLink>
    <NuxtLink :to="{query:{pageNumber:pageNumber+1}}" v-if="!data?.last">Next</NuxtLink>
    <ListPicture :list="data.content" />
  </div>
</template>

<style scoped></style>
